<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config>
        <device id="Nexus 7" />
        <device id="tv_1080p" />
        <device id="pixel_c" />
        <device id="Nexus 5X" />
        <device id="tv_720p" />
        <device id="Nexus 10" />
        <device id="pixel_3a_xl" />
        <device id="pixel_3_xl" />
        <device id="pixel" />
        <device id="pixel_2_xl" />
      </config>
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="No Filters" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="1967a73c-5b2e-4752-995e-45f2b88281fc" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="bdc5558b" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand />
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="valueResourceFile" />
        <option value="Interface" />
        <option value="resourceFile" />
        <option value="layoutResourceFile_vertical" />
        <option value="Class" />
        <option value="layoutResourceFile" />
      </list>
    </option>
  </component>
  <component name="FindBugs-IDEA-Workspace">
    <toolWindowEditorPreview>false</toolWindowEditorPreview>
  </component>
  <component name="GenerateSignedApkSettings">
    <option name="KEY_STORE_PATH" value="$PROJECT_DIR$/education.jks" />
    <option name="KEY_ALIAS" value="phonelive" />
    <option name="REMEMBER_PASSWORDS" value="true" />
    <option name="BUILD_TARGET_KEY" value="apk" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1fO5TBByo3jiKGNk8VRGhd3MwMP" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ApkExportedModule" value="app" />
    <property name="DEBUGGABLE_DEVICE" value="huawei-dvc_an20-Q2NVB20630007477" />
    <property name="DEBUGGABLE_PROCESS" value="com.wanyue.education" />
    <property name="DEBUGGER_ID" value="Auto" />
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="Pixel_3_API_25" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2020-08-17T00:59:19.325Z" />
    <property name="ExportApk.ApkPath" value="$PROJECT_DIR$/app" />
    <property name="ExportApk.BuildVariants" value="release" />
    <property name="ExportApk.SignV1" value="true" />
    <property name="ExportApk.SignV2" value="true" />
    <property name="ResourceManagerPrefKey.ResourceType" value="LAYOUT" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="SHOW_ALL_PROCESSES" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/detail/src/main/res/layout" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/detail/src/main/res/layout" />
      <recent name="$PROJECT_DIR$/inside/src/main/res/drawable-xhdpi" />
      <recent name="$PROJECT_DIR$/main/src/main/res/drawable-xhdpi" />
      <recent name="$PROJECT_DIR$/main/src/main/res/layout" />
      <recent name="$PROJECT_DIR$/main/src/main/res" />
    </key>
    <key name="android.template.-1445217815">
      <recent name="com.wanyue.homework.view.activity" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/detail/src/main/res/drawable-xhdpi" />
      <recent name="$PROJECT_DIR$/detail/src/main/res/mipmap-mdpi" />
    </key>
    <key name="android.template.2076243423">
      <recent name="com.wanyue.detail.unit" />
      <recent name="com.wanyue.detail.live.view.activity" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.wanyue.detail.live.test.widet" />
      <recent name="com.wanyue.detail.live.test.bean" />
      <recent name="com.wanyue.homework" />
      <recent name="com.wanyue.detail.view.proxy" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.wanyue.main.bean" />
      <recent name="com.wanyue.detail.live.smallclass.widet" />
      <recent name="com.wanyue.inside.widet.linear" />
      <recent name="com.wanyue.common.utils" />
    </key>
    <key name="android.template.915968469">
      <recent name="com.wanyue.homework.wrongtopic.view.activity" />
    </key>
    <key name="android.template.103244240">
      <recent name="com.wanyue.homework.wrongtopic.view.activity" />
    </key>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="NormalWrongDeatailActivity" type="AndroidRunConfigurationType" factoryName="Android App" temporary="true">
      <module name="homework" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="specific_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="com.wanyue.homework.wrongtopic.view.activity.NormalWrongDeatailActivity" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Android App.NormalWrongDeatailActivity" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1967a73c-5b2e-4752-995e-45f2b88281fc" name="Default Changelist" comment="" />
      <created>1596076303122</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1596076303122</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="WindowStateProjectService">
    <state x="228" y="162" key="AndroidCreateResourceFileDialog" timestamp="1615445576391">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state x="228" y="162" key="AndroidCreateResourceFileDialog/0.0.1280.800@0.0.1280.800" timestamp="1615445576391" />
    <state x="499" y="271" key="AndroidCreateXmlResourceDialog" timestamp="1615445692998">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state x="499" y="271" key="AndroidCreateXmlResourceDialog/0.0.1280.800@0.0.1280.800" timestamp="1615445692998" />
    <state width="974" height="-40" key="GridCell.Tab.0.bottom" timestamp="1615445766343">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state width="974" height="-40" key="GridCell.Tab.0.bottom/0.0.1280.800@0.0.1280.800" timestamp="1615445766343" />
    <state width="974" height="-40" key="GridCell.Tab.0.center" timestamp="1615445766341">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state width="974" height="-40" key="GridCell.Tab.0.center/0.0.1280.800@0.0.1280.800" timestamp="1615445766341" />
    <state width="974" height="-40" key="GridCell.Tab.0.left" timestamp="1615445766339">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state width="974" height="-40" key="GridCell.Tab.0.left/0.0.1280.800@0.0.1280.800" timestamp="1615445766339" />
    <state width="974" height="-40" key="GridCell.Tab.0.right" timestamp="1615445766342">
      <screen x="0" y="0" width="1280" height="800" />
    </state>
    <state width="974" height="-40" key="GridCell.Tab.0.right/0.0.1280.800@0.0.1280.800" timestamp="1615445766342" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-field">
          <url>file://$PROJECT_DIR$/homework/src/main/java/com/wanyue/homework/util/AudioRecorderEx.java</url>
          <line>22</line>
          <properties field="AUDIO_SUFFIX_MP3" class="com.wanyue.homework.util.AudioRecorderEx" />
          <option name="timeStamp" value="220" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/homework/src/main/java/com/wanyue/homework/wrongtopic/view/activity/AddWrongQuestionActivity.java</url>
          <line>185</line>
          <option name="timeStamp" value="229" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/smallclass/view/proxy/element/BaseElementViewProxy.java</url>
          <line>78</line>
          <option name="timeStamp" value="263" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/homework/src/main/java/com/wanyue/homework/view/viewproxy/DoHomeworkViewProxy.java</url>
          <line>292</line>
          <option name="timeStamp" value="280" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/homework/src/main/java/com/wanyue/homework/busniess/HomeWorkHelper.java</url>
          <line>28</line>
          <option name="timeStamp" value="302" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/business/socket/teaching/mannger/PracticeMannger.java</url>
          <line>247</line>
          <option name="timeStamp" value="307" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/business/socket/teaching/mannger/PracticeMannger.java</url>
          <line>109</line>
          <option name="timeStamp" value="308" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/test/ClassTestingViewProxy.java</url>
          <line>205</line>
          <option name="timeStamp" value="309" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/business/socket/teaching/mannger/PracticeMannger.java</url>
          <line>223</line>
          <option name="timeStamp" value="323" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/detail/src/main/java/com/wanyue/detail/live/test/ClassTestingResultViewProxy.java</url>
          <line>199</line>
          <option name="timeStamp" value="326" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>